Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class Phase.View.Dispatch

    java.lang.Object
      juzu.Response
          juzu.Response.View
              juzu.request.Phase.View.Dispatch

All Implemented Interfaces:
  Dispatch

Enclosing class:
  Phase.View

    public static class Phase.View.Dispatch

extends Response.View
implements Dispatch

Nested Class Summary

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Error, Response.Redirect, Response.Render, Response.View`

Constructor Summary
`Phase.View.Dispatch(juzu.impl.bridge.spi.DispatchSPI delegate)`

Method Summary
`Dispatch` | `escapeXML(Boolean escapeXML)`
`Map<String,String[]>` | `getParameters()`
`juzu.impl.common.MethodHandle` | `getTarget()`
`
`<T> Dispatch`
` | `setProperty(PropertyType<T> propertyType, T propertyValue)` Set or clear a property of the URL.
`String` | `toString()`
`Dispatch` | `with(juzu.impl.common.MimeType mimeType)`
`Dispatch` | `with(PropertyMap properties)`

Methods inherited from class juzu.Response.View
`equals, with, with, withHeader, withNo, without`

Methods inherited from class juzu.Response
`content, content, content, error, error, getProperties, notFound, notFound, ok, ok, redirect`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Phase.View.Dispatch

    public Phase.View.Dispatch(juzu.impl.bridge.spi.DispatchSPI delegate)

Method Detail

### with

    public Dispatch with(juzu.impl.common.MimeType mimeType)

  Specified by:
    `with` in interface `Dispatch`

### with

    public Dispatch with(PropertyMap properties)

  Specified by:
    `with` in interface `Dispatch`

### escapeXML

    public Dispatch escapeXML(Boolean escapeXML)

  Specified by:
    `escapeXML` in interface `Dispatch`

### setProperty

    public <T> Dispatch setProperty(PropertyType<T> propertyType,
                                    T propertyValue)
                         throws IllegalArgumentException

  Description copied from interface: `Dispatch`
  Set or clear a property of the URL.

  Specified by:
    `setProperty` in interface `Dispatch`
  Type Parameters:
    `T` - the property generic type
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Returns:
    this URL builder
  Throws:
    `IllegalArgumentException` - if the property is not valid

### getTarget

    public juzu.impl.common.MethodHandle getTarget()

  Specified by:
    `getTarget` in class `Response.View`

### getParameters

    public Map<String,String[]> getParameters()

  Specified by:
    `getParameters` in class `Response.View`

### toString

    public String toString()

  Specified by:
    `toString` in interface `Dispatch`
  Overrides:
    `toString` in class `Response.View`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.